KORG app Help Center

I'm using KLC-1/AE/VMS20 v1.0 - 1.1, can I update to the latest version?

For KLC-1/AE/VMS20 v1.0 - 1.1 users can upgrade each software to the latest version by purchasing "v1.2 Upgrade".

"v1.2 Upgrade" available at KORG USER NET SHOP.

Was this article helpful?
0 out of 0 found this helpful

Comments

Please sign in to leave a comment.